# __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 > Struct Template Reference

Inheritance diagram for __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 >:

List of all members.

## Detailed Description

### template<class _Result, class _Arg1, class _Arg2>
struct __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 >

Definition at line 272 of file ext/functional.

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Public Member Functions

- _Constant_binary_fun (const _Result &__v)
- const result_type & operator() (const _Arg1 &, const _Arg2 &) const

## Public Attributes

- _Result _M_val

The documentation for this struct was generated from the following file:

- ext/functional